Web Apps - List Host Keys Slot
Description for Get host secrets for a function app.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/host/default/listkeys?api-version=2022-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
|
Site name. |
|
resource
|
path | True |
|
Name of the resource group to which the resource belongs. Regex pattern: |
|
slot
|
path | True |
|
Name of the deployment slot. |
|
subscription
|
path | True |
|
Your Azure subscription ID. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000). |
|
api-version
|
query | True |
|
API Version |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Host secrets returned. |
|
| Other Status Codes |
App Service error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Definitions
|
Default |
App Service error response. |
| Details | |
| Error |
Error model. |
|
Host |
Functions host level keys. |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
Details
| Name | Type | Description |
|---|---|---|
| code |
|
Standardized string to programmatically identify the error. |
| message |
|
Detailed error description and debugging information. |
| target |
|
Detailed error description and debugging information. |
Error
Error model.
| Name | Type | Description |
|---|---|---|
| code |
|
Standardized string to programmatically identify the error. |
| details |
|
Detailed errors. |
| innererror |
|
More information to debug error. |
| message |
|
Detailed error description and debugging information. |
| target |
|
Detailed error description and debugging information. |
HostKeys
Functions host level keys.
| Name | Type | Description |
|---|---|---|
| functionKeys |
|
Host level function keys. |
| masterKey |
|
Secret key. |
| systemKeys |
|
System keys. |